/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package yoga_ali_rayhan_mytodoapp;

import org.junit.Test;
import static org.junit.Assert.*;

public class TaskTest {
    @Test 
    public void testTasktest (){
        Task task = new Task("Learn TDD", 'I');
        assertEquals("Learn TDD", task.getDesc());
        assertEquals('I', task.getStatus());
    }
    @Test
    public void testTaskDesc(){
        Task task = new Task();
        task.setDesc("Learned Tdd");
        assertEquals("Learned Tdd", task.getDesc());
    }

    @Test
    public void testTaskStatus(){
        Task task = new Task();
        task.setStatus('C');
        assertEquals('C', task.getStatus());
    }

    @Test
    public void testTaskUpdateDesk(){
        Task task = new Task("Learn Tdd", 'C');
        assertEquals("Learn Tdd", task.getDesc());
        task.setDesc("Was Learned Tdd");
        assertEquals("Was Learned Tdd", task.getDesc());
    }

    @Test
    public void testTaskUpdateStatus(){
        Task task = new Task("Learned Tdd",'C');
        assertEquals('C', task.getStatus());
        task.setStatus('I');
        assertEquals('I', task.getStatus());
    }
   
}
